Bug 467641 - Review Request: sugar-maze - Maze for Sugar
Review Request: sugar-maze - Maze for Sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On: 250533 514687
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2008-10-19 17:47 EDT by Fabian Affolter
Modified: 2010-03-08 22:36 EST (History)
5 users (show)

See Also:
Fixed In Version: sugar-maze-0-0.4.20091227.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-08 22:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkearney: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 8960 None None None Never

  None (edit)
Description Fabian Affolter 2008-10-19 17:47:25 EDT
Spec URL: <spec info here>
SRPM URL: <srpm info here>

Description:
A simple maze game for the XO laptop. You can play by yourself or race
to solve it with your buddies. Up to 3 people can play on a single XO
laptop and lots more can play when shared over the network.
Comment 1 Fabian Affolter 2008-10-19 17:51:57 EDT
again, sorry

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-maze.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-maze-6-1.fc10.src.rpm

Description:
A simple maze game for the XO laptop. You can play by yourself or race
to solve it with your buddies. Up to 3 people can play on a single XO
laptop and lots more can play when shared over the network.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=889260

fab@localhost noarch]$ rpmlint -i sugar-maze-6-1.fc10.noarch.rpm 
sugar-maze.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".


[fab@localhost SRPMS]$ rpmlint -i sugar-maze-6-1.fc10.src.rpm 
sugar-maze.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Bryan Kearney 2008-11-10 16:38:43 EST
Couple of things:

  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  ?? - Source md5sum matches upstream
- Any chance of working with upstream to get the tarball pushed to http://dev.laptop.org/pub/sugar/sources/. Barring that can you modify the checkout to use a snapshot (http://dev.laptop.org/git?p=activities/maze;a=snapshot;h=ffdbd8e3232ad67a6a99134f1252c76a81dbe000)


  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  ?? - rpmlint is silent

- rpmlint on the srpm shows this (the last 3 are worriesome)
sugar-maze.src: W: non-standard-group Sugar/Activities
sugar-maze.src: W: strange-permission sugar-maze-checkout.sh 0755
sugar-maze.src: W: strange-permission Maze-6.tar.bz2 0755
sugar-maze.src: W: strange-permission sugar-maze.spec 0755
Comment 3 Fabian Affolter 2008-11-11 19:25:07 EST
I've reported upstream about the tarball.  I think that it will be really hard to get one because on most activities pages are no contact details about how to get in touch with the developer, no direct link to the bugtracking system, no proper entry (and some times no entry) in the bugtracking system, or no action from upstream in the past months.

Let's give them some time.
Comment 4 Fabian Affolter 2008-11-18 19:21:52 EST
No action from upstream for a week.  To be honest, I see no benefit to work with the snapshot tarball.  I would like to suggest that we work with the checkout from git till release tarballs are available. 

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-maze.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-maze-6-2.fc10.src.rpm
Comment 5 Bryan Kearney 2008-11-19 08:43:20 EST
I tried installing the resulting RPM on my sugar VM.. and it failed do to not having a Requires: pygame. Please check the required imports and post an updated spec / src rpm.
Comment 6 Fabian Affolter 2008-11-26 16:53:45 EST
Bryan, thanks for your check and the hint about the requirement.

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-maze.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-maze-6-3.fc10.src.rpm
Comment 7 Bryan Kearney 2008-12-02 10:02:32 EST
I attempted to install it on the latest sugar build, and I am getting the following error:

Fatal Python error: (pygame parachute) Segmentation Fault
Traceback (most recent call last):
  File "/usr/bin/sugar-activity", line 21, in <module>
    main.main()
  File "/usr/lib/python2.5/site-packages/sugar/activity/main.py", line 103, in main
    module = __import__(module_name)
  File "/usr/share/sugar/activities/Maze.activity/activity.py", line 1, in <module>
    import olpcgames
  File "/usr/share/sugar/activities/Maze.activity/olpcgames/__init__.py", line 37, in <module>
    from olpcgames import camera
  File "/usr/share/sugar/activities/Maze.activity/olpcgames/camera.py", line 12, in <module>
    import gst
  File "/usr/lib/python2.5/site-packages/gst-0.10/gst/__init__.py", line 170, in <module>
    from _gst import *
RuntimeError: can't initialize module gst: Error re-scanning registry , child terminated by signal
Comment 8 Bryan Kearney 2008-12-02 11:04:30 EST
The above was from a rawhids build of sugar. Using a pure F10 build (f10, f10updates and f10-testing) I get

1228251405.415884 WARNING root: Activity directory lacks a MANIFEST file.
Traceback (most recent call last):
  File "/usr/bin/sugar-activity", line 21, in <module>
    main.main()
  File "/usr/lib/python2.5/site-packages/sugar/activity/main.py", line 100, in main
    module = __import__(module_name)
  File "/usr/share/sugar/activities/Maze.activity/activity.py", line 1, in <module>
    import olpcgames
  File "/usr/share/sugar/activities/Maze.activity/olpcgames/__init__.py", line 38, in <module>
    from olpcgames import pangofont
  File "/usr/share/sugar/activities/Maze.activity/olpcgames/pangofont.py", line 18, in <module>
    from olpcgames import _cairoimage
ImportError: cannot import name _cairoimage
Comment 9 Fabian Affolter 2008-12-24 18:46:14 EST
Hmmm, I think python-olpcgames is needed for this.
Comment 10 Steven M. Parrish 2009-06-26 20:28:00 EDT
Fabian,

Where do we stand on this one?

Steven
Comment 11 Fabian Affolter 2009-06-27 05:46:24 EDT
python-olpcgames is still missing.  I guess that I will do this package by myself.
Comment 12 Fabian Affolter 2009-12-24 16:05:28 EST
python-olpcgames is on the way.
Comment 14 Sebastian Dziallas 2010-01-22 09:29:11 EST
Bryan, what's our status here? Do you still plan to review this or should I take it over?
Comment 15 Peter Robinson 2010-01-25 15:47:35 EST
reassigning to Sebastian
Comment 16 Bryan Kearney 2010-01-25 15:58:18 EST
Sorry.. went to look at the rpm is not there. Could you please post the srpm?

-- bk
Comment 17 Sebastian Dziallas 2010-01-31 13:49:31 EST
Assigning back to Bryan; thanks for being around. ;)

Fabian, could you please upload the SRPM, too?
Comment 18 Fabian Affolter 2010-01-31 15:18:12 EST
Here is the file

SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-maze-0-0.4.20091227.fc12.src.rpm
Comment 19 Sebastian Dziallas 2010-02-14 10:00:07 EST
Ping?
Comment 20 Bryan Kearney 2010-02-15 13:16:27 EST
Reviewed the comments from before, and they look good. I installed this on a blueberry VM, and it installed fine.

Review Approved.
Comment 21 Fabian Affolter 2010-02-18 08:29:01 EST
New Package CVS Request
=======================
Package Name:  sugar-maze
Short Description:  Maze for Sugar
Branches: F-11 F-12
InitialCC:
Comment 22 Jason Tibbitts 2010-02-19 13:34:08 EST
That CVS request is missing an owner field.  Who should own this package?
Also, don't forget to request an F-13 branch.
Comment 23 Fabian Affolter 2010-02-20 09:34:25 EST
Sorry, again...

New Package CVS Request
=======================
Package Name: sugar-maze
Short Description: Maze for Sugar
Owners: fab
Branches: F-11 F-12 F-13
InitialCC:
Comment 24 Jason Tibbitts 2010-02-20 13:01:32 EST
CVS done (by process-cvs-requests.py).
Comment 25 Fedora Update System 2010-02-24 17:34:57 EST
sugar-maze-0-0.4.20091227.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sugar-maze-0-0.4.20091227.fc12
Comment 26 Fedora Update System 2010-02-24 17:35:04 EST
sugar-maze-0-0.4.20091227.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sugar-maze-0-0.4.20091227.fc13
Comment 27 Fedora Update System 2010-02-24 17:35:09 EST
sugar-maze-0-0.4.20091227.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-maze-0-0.4.20091227.fc11
Comment 28 Fedora Update System 2010-02-25 07:47:19 EST
sugar-maze-0-0.4.20091227.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-maze'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2862
Comment 29 Fedora Update System 2010-02-25 22:40:51 EST
sugar-maze-0-0.4.20091227.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-maze'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2947
Comment 30 Fedora Update System 2010-02-25 22:41:09 EST
sugar-maze-0-0.4.20091227.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-maze'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2949
Comment 31 Sebastian Dziallas 2010-03-04 15:23:38 EST
Could you push this one to stable, please? :)
Comment 32 Fedora Update System 2010-03-08 22:19:54 EST
sugar-maze-0-0.4.20091227.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2010-03-08 22:23:41 EST
sugar-maze-0-0.4.20091227.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2010-03-08 22:36:05 EST
sugar-maze-0-0.4.20091227.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.